Loading...
Searching...
No Matches
wayland::server::zwp_keyboard_shortcuts_inhibit_manager_v1_t Class Reference

context object for keyboard grab_manager More...

`#include <wayland-server-protocol-unstable.hpp>`

## Public Member Functions

std::function< void()> & | on_destroy ()
| destroy the keyboard shortcuts inhibitor object
std::function< void(zwp_keyboard_shortcuts_inhibitor_v1_t, surface_t, seat_t)> & | on_inhibit_shortcuts ()
| create a new keyboard shortcuts inhibitor object
void | post_already_inhibited (std::string const &msg)
| Post error: the shortcuts are already inhibited for this surface.
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Detailed Description

context object for keyboard grab_manager

A global interface used for inhibiting the compositor keyboard shortcuts.

Definition at line 1386 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_destroy()

std::function< void()> & zwp_keyboard_shortcuts_inhibit_manager_v1_t::on_destroy | ( |  | ) |

destroy the keyboard shortcuts inhibitor object

Destroy the keyboard shortcuts inhibitor manager.

Definition at line 4827 of file wayland-server-protocol-unstable.cpp.

## on_inhibit_shortcuts()

std::function< void(zwp_keyboard_shortcuts_inhibitor_v1_t, surface_t, seat_t)> & zwp_keyboard_shortcuts_inhibit_manager_v1_t::on_inhibit_shortcuts | ( |  | ) |

create a new keyboard shortcuts inhibitor object

Parameters

  id |
  surface | the surface that inhibits the keyboard shortcuts behavior
  seat | the wl_seat for which keyboard shortcuts should be disabled

Create a new keyboard shortcuts inhibitor object associated with the given surface for the given seat.

If shortcuts are already inhibited for the specified seat and surface, a protocol error "already_inhibited" is raised by the compositor.

Definition at line 4833 of file wayland-server-protocol-unstable.cpp.

## post_already_inhibited()

void zwp_keyboard_shortcuts_inhibit_manager_v1_t::post_already_inhibited | ( | std::string const & | msg | ) |

Post error: the shortcuts are already inhibited for this surface.

Definition at line 4839 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp